Page MenuHomePhabricator

Add support for Kabiye to MediaWiki
Closed, ResolvedPublic

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2017, 2:52 PM
Dereckson renamed this task from Add support for Kabiye in MediaWiki to Add support for Kabiye to MediaWiki.Mar 20 2017, 2:53 PM
Dereckson updated the task description. (Show Details)

Change 343657 had a related patch set uploaded (by Dereckson):
[mediawiki/core] Add kbp language code

https://gerrit.wikimedia.org/r/343657

Dereckson changed the task status from Open to Stalled.Mar 21 2017, 10:23 AM

This seems to need an extra effort from the Kabiye contributors, as highlighted at https://translatewiki.net/wiki/Thread:Support/Most_used_messages_have_all_been_translated_into_Kabiye

100 extra messages are needed.

Change 343657 abandoned by Dereckson:
Add kbp language code

Reason:
Translation not satisfactory, will be restored when there is some progress and it's ready to export.

https://gerrit.wikimedia.org/r/343657

Dereckson lowered the priority of this task from High to Normal.Mar 21 2017, 11:47 AM

Dereckson, do I need to tell the Kabiye community on Incubator that they need to do more message translation?

(Tasks like this are still redundant and creating new ones is not recommended.)

Dereckson, do I need to tell the Kabiye community on Incubator that they need to do more message translation?

Translators were already told, I've sent a direct message to the only other active user on Incubator.

Nemo_bis updated the task description. (Show Details)Apr 27 2017, 12:31 PM

According to this page, kbp is past 13% on MediaWiki core messages. Isn't that sufficient to get the ball rolling here?

kbp was first exported from translatewik.net to mediawiki yesterday: https://gerrit.wikimedia.org/r/#/c/354152/

Change 343657 restored by Raimond Spekking:
Add kbp language code

Reason:
kbp was first exported from translatewik.net to mediawiki yesterday: https://gerrit.wikimedia.org/r/#/c/354152/

https://gerrit.wikimedia.org/r/343657

Indeed, 130 translations were made on 2017-05-15 https://translatewiki.net/wiki/Portal:Kbp by ‎Gnangbade.

Change 343657 merged by jenkins-bot:
[mediawiki/core@master] Add kbp language code

https://gerrit.wikimedia.org/r/343657

Did this deploy? Is this no longer stalled? Sufficient interface translations have been made, and we need to move this project on to creation. Thanks.

Wikis are still to wmf.2 according https://tools.wmflabs.org/versions/

This will be deployed next Tuesday on test.wikipedia and Thursday on WP.

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Mass-moving all items tagged for MediaWiki 1.30.0-wmf.3, as that was never released; instead, we're using -wmf.4.

Reedy changed the task status from Stalled to Open.Jun 14 2017, 11:04 PM

What's outstanding here? It's available as an interface and content language in core FWICT.

Dereckson closed this task as Resolved.Jun 14 2017, 11:22 PM

Yes it has been deployed as a part of wmf4.